Skip to main content
Skip table of contents

Oracle matrix

Source and Target OS and DBMS Compatibility

  • Source and Target must have the same major Oracle version and Edition (Enterprise/Standard). It is recommended to also have the same minor versions and patches.

    • If the minor version (specified with the second digit with Oracle version 18+, or the dated patch level with Oracle version 12.2) or patches differ between the source and target, then a plug-in violation will be received when opening the vPDB on the target, and will need to run datapatch manually or via a hook to resolve it.

  • Source and Target operating systems must be compatible. E.g., AIX -> AIX, Solaris SPARC -> Solaris SPARC, x86_64 Linux -> x86_64 Linux.

  • In addition, x86_64 Solaris -> x86_64 Linux and x86_64 Linux -> x86_64 Solaris is supported.

Disclaimers and support notes

Delphix Support Policies specifically list major and minor release coverage. If a minor release is listed as covered, all patch releases under that minor release are certified. Support applies to corresponding versions of Community Enterprise Operating System (CentOS) / Oracle Linux (OL), 64-bit OS support only.

The Oracle version in the support matrix applies to both Oracle DB and Oracle Grid. Delphix supports the same set of features and functionality for supported non-multitenant database versions. Currently, Delphix does not support the Oracle 12c feature of THREADED_EXECUTION being set to TRUE, because this disables OS authentication.

Summary of Delphix features that are unsupported for the Oracle12c and higher Multi-tenant configuration:

  • Existing Virtual Container Database (vCDB) as target for provisioning an additional vPDB for Oracle version 12.1.0.1

  • Customize VDB settings/initialization parameters. Includes the following:

    • Customize init.ora database parameter during provisioning

    • Config templates

    • Online redo log size

    • Number of RAC VDB instances

    • Online redo log groups

    • Archive log mode

    • Setting new DBID

    • Customize local listeners

  • Virtual to Physical (V2P) Support

  • Resumable initial SnapSync

  • Validated Sync

  • Source continuity for dSource upgraded from Oracle 12c non-multitenant to multitenant database

  • Cross-platform provisioning (XPP) to the virtual database

  • Oracle LiveSources

Delphix supports systems that are part of an Exadata or Exadata Cloud-at-Customer (ExaCC) cluster, provided that the operating system and DBMS version are in the supported list. Oracle Exadata, Exadata Cloud, and Exadata Cloud-at-Customer (ExaCC) offer several features that are reliant on the underlying Exadata storage. Delphix supports creating dSources from Exadata source clusters and provisioning VDBs and vPDBs to Exadata target clusters.

The following Exadata-only features will not be available in child VDBs running in Delphix storage:

  • Smart Scan - allows SQL processing to be offloaded to Exadata storage cells. Queries that leverage Smart Scan will execute successfully in VDBs but query performance may be impacted.

  • Smart Flash Cache - allows frequently used data blocks to be stored in the flash cache of Exadata storage cells to allow for faster access. Queries against objects that are normally cached in Smart Flash Cache will execute successfully in VDBs but query performance may be impacted. As the virtualization engine uses memory to cache frequently used data blocks, allocating extra memory to the engine may help to mitigate this performance impact.

  • Hybrid Columnar Compression (HCC) - compresses data and stores it in a columnar format, allowing Exadata storage cells to deliver faster query performance while also saving on storage. Columns compressed using HCC cannot be used by queries executed in VDBs. Affected columns can be decompressed though care should be taken to evaluate the impact of doing so on VDB refresh times and Delphix storage usage. In Delphix VDBs, queries against partitions or tables using HCC will fail with the following error "ORA-64307: Exadata Hybrid Columnar Compression is not supported for tablespaces on this storage type".

Color

Supported?

Y

Yes

N

No

NA

Not Applicable

Oracle database editions

Delphix supports the following Oracle database editions:

  • Enterprise

  • Standard

Red Hat Enterprise Linux (RHEL) 

Support for RHEL 8.x requires installing the libncurses.5 library onto the host. Please refer to KBA 5622 for the required steps.

Supported OS version

Supported DBMS version

11gR2

12cR1

12cR2

18c

19c

21c

RHEL 5.5

Y

NA

NA

NA

NA

NA

RHEL 5.6

Y

Y

NA

NA

NA

NA

RHEL 5.7

Y

Y

NA

NA

NA

NA

RHEL 5.8

Y

Y

NA

NA

NA

NA

RHEL 5.9

Y

Y

NA

NA

NA

NA

RHEL 5.10

Y

Y

NA

NA

NA

NA

RHEL 6.0

Y

Y

NA

NA

NA

NA

RHEL 6.1

Y

Y

NA

NA

NA

NA

RHEL 6.2

Y

Y

NA

NA

NA

NA

RHEL 6.3

Y

Y

NA

NA

NA

NA

RHEL 6.4

Y

Y

Y

Y

NA

NA

RHEL 6.5

Y

Y

Y

Y

NA

NA

RHEL 6.6

Y

Y

Y

Y

NA

NA

RHEL 6.7

Y

Y

Y

Y

NA

NA

RHEL 6.8

Y

Y

Y

Y

NA

NA

RHEL 6.9

Y

Y

Y

Y

NA

NA

RHEL 6.10

Y

Y

Y

Y

NA

NA

RHEL 7.0

Y

Y

Y

Y

NA

NA

RHEL 7.1

Y

Y

Y

Y

NA

NA

RHEL 7.2

Y

Y

Y

Y

NA

NA

RHEL 7.3

Y

Y

Y

Y

NA

NA

RHEL 7.4

Y

Y

Y

Y

Y

NA

RHEL 7.5

Y

Y

Y

Y

Y

NA

RHEL 7.6

Y

Y

Y

Y

Y

NA

RHEL 7.7

Y

Y

Y

Y

Y

NA

RHEL 7.8

Y 6.0.2+

Y 6.0.2+

Y 6.0.2+

Y 6.0.2+

Y 6.0.2+

NA

RHEL 7.9

Y 6.0.4+

Y 6.0.4+

Y 6.0.4+

Y 6.0.5+

Y 6.0.4+

NA

RHEL 8.0

N

N

N

NA

Y 6.0.3+

NA

RHEL 8.1

N

Y 6.0.3+

N

NA

Y 6.0.3+

NA

RHEL 8.2

Y 6.0.3+

Y 6.0.3+

Y 6.0.3+

NA

Y 6.0.3+

NA

RHEL 8.3

Y 6.0.7+

Y 6.0.7+

Y 6.0.7+

NA

Y 6.0.7+

Y 6.0.11+

RHEL 8.4

Y 6.0.10+

Y 6.0.10+

Y 6.0.10+

NA

Y 6.0.10+

Y 6.0.11+

RHEL 8.5

Y 6.0.14+

Y 6.0.14+

Y 6.0.14+

NA

Y 6.0.14+

Y 6.0.14+

RHEL 8.6

Y 6.0.15+

Y 6.0.15+

Y 6.0.15+

NA

Y 6.0.15+

Y 6.0.15+

RHEL 8.7

Y 7.0.0+

Y 7.0.0+

Y 7.0.0+

NA

Y 7.0.0+

Y 7.0.0+

RHEL 8.8

Y 12.0.0+

Y 12.0.0+

Y 12.0.0+

NA

Y 12.0.0+

Y 12.0.0+

SUSE Linux Enterprise Server (SLES)

Support for SLES 15 requires installing the libncurses.5 library onto the host. Please reference KBA 5622 for actionable steps.

Supported OS version

Supported DBMS version

11gR2

12cR1

12cR2

18c

19c

21c

SLES 11

Y

NA

NA

NA

NA

NA

SLES 11 SP1

Y

NA

NA

NA

NA

NA

SLES 11 SP 2

Y

Y

NA

NA

NA

NA

SLES 11 SP 3

Y

Y

NA

NA

NA

NA

SLES 11 SP 4

Y

Y

NA

NA

NA

NA

SLES 12

Y

Y

NA

NA

NA

NA

SLES 12 SP 1

Y

Y

Y

Y

NA

NA

SLES 12 SP 2

Y

Y

Y

Y

NA

NA

SLES 12 SP 3

Y

Y

Y

Y

Y

NA

SLES 12 SP 4

Y

Y

Y

Y

Y

NA

SLES 12 SP 5

NA

Y 6.0.4+

Y 6.0.4+

N

Y 6.0.4+

NA

SLES 15

N

N

Y

Y

Y

NA

SLES 15 SP 1

N

N

N

N

Y

Y 6.0.11+

SLES 15 SP 2

N

N

N

N

Y 6.0.11+

Y 6.0.11+

SLES 15 SP 3

N

N

N

N

Y 6.0.11+

Y 6.0.11+

Solaris SPARC

Supported OS version

Supported DBMS version

11gR2

12cR1

12cR2

18c

19c

21c

Solaris 10 U91

Y

NA

NA

NA

NA

NA

Solaris 10 U101

Y

Y

NA

NA

NA

NA

Solaris 10 U11

Y

Y

N

Y

NA

NA

Solaris 11

Y

Y

NA

NA

NA

NA

Solaris 11 U1

Y

Y

NA

NA

NA

NA

Solaris 11 U2

Y

Y

Y

Y

NA

NA

Solaris 11 U3

Y

Y

Y

Y

Y

NA

Solaris 11 U4

Y

N

Y

Y

Y

NA

1 - Solaris 10 U9 and U10 require libc.so.1 version 1.22.7 or newer. This version of libc.so.1 can be found in Solaris 10 SPARC kernel patch 144500, or a newer kernel patch.

Solaris x86

Supported OS version

Supported DBMS version

11gR2

12cR1

12cR2

18c

19c

21c

Solaris 10 U91

Y

NA

NA

NA

NA

NA

Solaris 10 U101

Y

Y

NA

NA

NA

NA

Solaris 10 U11

Y

Y

NA

Y

NA

NA

Solaris 11

Y

Y

NA

NA

NA

NA

Solaris 11 U1

Y

Y

NA

NA

NA

NA

Solaris 11 U2

Y

Y

Y

Y

NA

NA

Solaris 11 U3

N

Y

Y

Y

Y

NA

Solaris 11 U4

N

N

Y

Y

Y

NA

1 - Solaris 10 U9 and U10 require libc.so.1 version 1.22.7 or newer. This version of libc.so.1 can be found in Solaris 10 X86 kernel patch 144501, or a newer kernel patch.

Hewlett Packard Unix (HP-UX)

Supported OS version

Supported DBMS version

11gR2

12cR1

12cR2

HP-UX 11.31

Y

Y

Y

Advanced Interactive eXecutive (AIX)

Supported OS version

Supported DBMS version

11gR2

12cR1

12cR2

18c

19c

21c

AIX 6.1

Y

Y

N

N

NA

NA

AIX 7.1

Y

Y

Y

Y

Y

NA

AIX 7.2

Y

Y

Y

Y

Y

NA

Required HP-UX patch for Target Servers

  PHNE_37851 -  resolves a known bug in HP-UX NFS client prior to HP-UX 11.31.

JavaScript errors detected

Please note, these errors can depend on your browser setup.

If this problem persists, please contact our support.